#
# spec file for package google-talkpluginget_iplayer (2.79+git3b26288)
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           get_iplayer
Version:        2.79+git3b26288
Release:        1.pm.1.1
License:        GPL-3.0
Summary:        Downloads H.264 BBC IPlayer TV, Radio, and Podcast Programs
Url:            http://www.infradead.org/get_iplayer/html/get_iplayer.html
Group:          Productivity/Networking/File-Sharing
Source0:        %{name}-%{version}.tar.bz2
#Source0:       git clone git://git.infradead.org/get_iplayer.git get_iplayer
Source1:        get_iplayer.options
Source2:        sysconfig.get_iplayer
Source3:	get_iplayer_pvr
BuildRequires:  ImageMagick
BuildRequires:  update-desktop-files
Requires:       MPlayer
Requires:       lame
Requires:       perl
Requires:       perl-libwww-perl
Requires:       rtmpdump
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
PreReq:         %fillup_prereq

%description
get_iplayer allows a user to download or stream any iPlayer program from the
BBC in H.264 (Quicktime/mp4) format, any radio programs in MP3 or RealAudio
format (optionally converted to WAV or MP3), and all podcasts in MP3/AAC
format. It even downloads the subtitles where available.

%package pvr
Summary:        Web based PVR Manager for %{name}
Group:          Productivity/Networking/File-Sharing
Requires:       %{name} = %{version}

%description pvr
The Worlds most insecure web-based PVR Manager and streaming proxy for get_iplayer
** WARNING ** Never run this in an untrusted environment or facing the internet

%prep
%setup -q
cp windows/installer_files/iplayer_logo.ico .

%build
#No build required
%install
install -Dm 0755 get_iplayer %{buildroot}%{_bindir}/get_iplayer
mkdir -p %{buildroot}%{_mandir}/man1
install -Dm 0644 get_iplayer.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_datadir}/%{name}/plugins
install -Dm 0644 plugins/*.plugin %{buildroot}%{_datadir}/%{name}/plugins/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -Dm 0644 %{S:1} %{buildroot}%{_sysconfdir}/%{name}/options
# Install pvr files
install -Dm 0755 get_iplayer.cgi  %{buildroot}%{_datadir}/%{name}/get_iplayer.cgi
mkdir -p %{buildroot}/var/adm/fillup-templates
install -Dm 0644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.get_iplayer
install -Dm 0755 %{S:3} %{buildroot}%{_bindir}/get_iplayer_pvr
convert -geometry 48 iplayer_logo.ico iplayer_logo.png
# Add desktop file
cat > get_iplayer_pvr.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=get_iplayer_pvr
GenericName=get_iplayer_pvr
Comment=get_iplayer Web PVR Manager
Exec=get_iplayer_pvr
Icon=iplayer_logo
Terminal=false
Type=Application
StartupNotify=false
Categories=Internet;FileTransfer;
EOF
%{__mkdir} -p %{buildroot}%{_datadir}/pixmaps
cp iplayer_logo.png %{buildroot}%{_datadir}/pixmaps/iplayer_logo.png
%suse_update_desktop_file -i get_iplayer_pvr

%post pvr
%fillup_only

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{_bindir}/get_iplayer
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/*.plugin
%{_mandir}/man1/get_iplayer.1*
%dir %{_sysconfdir}/%{name}
%config (noreplace) %{_sysconfdir}/%{name}/options

%files pvr
%defattr(-,root,root,-)
%doc README-get_iplayer.cgi.txt LICENSE.txt
%{_bindir}/get_iplayer_pvr
%{_datadir}/%{name}/get_iplayer.cgi
/var/adm/fillup-templates/sysconfig.%{name}
%{_datadir}/pixmaps/iplayer_logo.png
%{_datadir}/applications/get_iplayer_pvr.desktop

%changelog
* Sun Aug  7 2011 malcolmlewis@opensuse.org
- Updated to git version 3b26288 to fix various issues:
  + fixed regression as this broke the path used by get_iplayer
    for update.
  + Add Radio 4 Extra.
  + Output AAC as M4A for iTunes with metadata tags.
  + Add --aactomp3 option to force transcoding AAC to MP3.
  + Use File::Spec->rel2abs to sanitise output directory.
  + Ensure safe 32-bit date if timegm() fails.
  + Ensure output file extension changes with download mode.
  + Typo fixes.
  + Fix broken flashhd downloads.
  + Use File::Spec functions for programme/thumbnail file paths.
  + New tagging implementation.
  + Option to mux video as MKV instead of MP4.
  + Revamped --showoptions and search options initialisation.
  + Ensure that for loops always receive array even if only one
    episode.
  + Handle embedded param name in Akamai auth token.
  + Add MP3 VBR option for AAC transcoding.
- Update spec file Licence field from GPLv3 to GPL-3.0 to conform
  with spdx.org identifier.
* Tue Jan 18 2011 malcolmlewis@opensuse.org
- Aditional fix to fillup
* Tue Jan 18 2011 malcolmlewis@opensuse.org
- Fix fillup of sysconfig file
* Sun Jan 16 2011 malcolmlewis@opensuse.org
- Add in pvr
* Sat Jan 15 2011 malcolmlewis@opensuse.org
- Initial build
